Bug 10076 - varlist in man vfs_crossrename broken
varlist in man vfs_crossrename broken
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Documentation
4.0.7
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 10:03 UTC by Karolin Seeger
Modified: 2013-08-29 15:04 UTC (History)
0 users

See Also:


Attachments
Proposed patch (2.10 KB, patch)
2013-08-09 10:05 UTC, Karolin Seeger
obnox: review-
Details
Fixed patch (2.15 KB, patch)
2013-08-13 09:03 UTC, Karolin Seeger
no flags Details
patch with cherry-pick-info from master. (2.38 KB, patch)
2013-08-20 07:17 UTC, Michael Adam
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2013-08-09 10:03:21 UTC
The variable list in man vfs_crossrename.8 is broken in 3.6, 4.0, 4.1 and master:

------------------------------------------------------------------------
                     the ACLs of files are not preserved           .RE

                         meta data in EAs are not preserved           .RE

                             renames of whole subdirectories cannot be done recursively,           in that case we still return STATUS_NOT_SAME_DEVICE and           let the
                   client decide what to do           .RE

                                 rename operations of huge files can cause hangs on the           client because clients expect a rename operation to           return fast
                                 .RE
-------------------------------------------------------------------------
Comment 1 Karolin Seeger 2013-08-09 10:05:19 UTC
Created attachment 9119 [details]
Proposed patch
Comment 2 Karolin Seeger 2013-08-12 07:50:56 UTC
Patch has been sent to samba-technical.
Comment 3 Michael Adam 2013-08-13 08:35:14 UTC
Comment on attachment 9119 [details]
Proposed patch

Patch looks good, except that the listentry "the ACLs of files are not preserved" is dropped...
Comment 4 Karolin Seeger 2013-08-13 09:03:24 UTC
Created attachment 9128 [details]
Fixed patch
Comment 5 Karolin Seeger 2013-08-13 09:03:57 UTC
(In reply to comment #4)
> Created attachment 9128 [details]
> Fixed patch

Obviously right, thanks!
Fixed patch available now.
Comment 6 Michael Adam 2013-08-20 07:17:00 UTC
Created attachment 9150 [details]
patch with cherry-pick-info from master.

The new patch is good!
I created a new patchfile with cherry-pick-info from master,
since Jeremy has meanwhile pushed it to master.

Michael
Comment 7 Karolin Seeger 2013-08-20 08:31:55 UTC
Pushed to autobuild-v4-1-test, autobuild-v4-0-test and v3-6-test.
Comment 8 Karolin Seeger 2013-08-21 06:51:26 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!